Get Agent
Get agent metadata.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
agent_id
Response
Successful Response
id
Stable agent ID (ag_<nanoid>) used for API routing
name
Agent name
description
Agent description
input_schema
Input JSON schema
output_schema
Output JSON schema
categories
Category IDs for discovery and filtering
cadence
§2.4 session routing cadence (configured in agents.yaml)
Allowed values:
ui
UI metadata
Errors
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error